Package Gnumed :: Package timelinelib :: Package drawing :: Module viewproperties :: Class ViewProperties |
[frames] | no frames]

# Class ViewProperties

source code

    object --+
             |
            ViewProperties

Store properties of a view.

Some timeline databases support storing some of these view properties together with the data.

Instance Methods
__init__(self) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
clear_db_specific(self) | source code
filter_events(self, events) | source code
is_selected(self, event) | source code
clear_selected(self) | source code
event_is_hovered(self, event) | source code
event_has_sticky_balloon(self, event) | source code
set_event_has_sticky_balloon(self, event, has_sticky=True) | source code
set_selected(self, event, is_selected=True) | source code
set_displayed_period(self, period) | source code
get_selected_event_ids(self) | source code
category_visible(self, category) | source code
set_category_visible(self, category, is_visible=True) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)